package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 会员银行卡信息表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("sys_user_bank_card")
public class SysUserBankCard extends Model<SysUserBankCard> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /**
     * 会员标识
     */
    @TableField("user_id_")
    private Integer userId;
    /**
     * 是否默认 0,否;1,是
     */
    @TableField("is_default_")
    private Integer isDefault;
    /**
     * 银行名称
     */
    @TableField("bank_name_")
    private String bankName;
    /**
     * 银行代码
     */
    @TableField("bank_code_")
    private String bankCode;
    /**
     * 银行卡号
     */
    @TableField("card_no_")
    private String cardNo;
    /**
     * 省
     */
    @TableField("province_")
    private String province;
    /**
     * 城市
     */
    @TableField("city_")
    private String city;
    /**
     * 地址
     */
    private String address;
    /**
     * 0,已删除;1,正常;2,冻结;3,验证中
     */
    @TableField("status_")
    private Integer status;
    /**
     * 创建时间
     */
    @TableField("create_on_")
    private Date createOn;
    /**
     * 修改时间
     */
    @TableField("modify_on_")
    private Date modifyOn;
    /**
     * 是否是快捷卡（0，否 1，是）
     */
    @TableField("is_quick_")
    private Integer isQuick;
    /**
     * 银行卡绑定的手机号码
     */
    @TableField("mobile_phone_")
    private String mobilePhone;
    @TableField("trans_no_")
    private String transNo;


    public Long getId() {
        return id;
    }

    public SysUserBankCard setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public SysUserBankCard setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public SysUserBankCard setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
        return this;
    }

    public String getBankName() {
        return bankName;
    }

    public SysUserBankCard setBankName(String bankName) {
        this.bankName = bankName;
        return this;
    }

    public String getBankCode() {
        return bankCode;
    }

    public SysUserBankCard setBankCode(String bankCode) {
        this.bankCode = bankCode;
        return this;
    }

    public String getCardNo() {
        return cardNo;
    }

    public SysUserBankCard setCardNo(String cardNo) {
        this.cardNo = cardNo;
        return this;
    }

    public String getProvince() {
        return province;
    }

    public SysUserBankCard setProvince(String province) {
        this.province = province;
        return this;
    }

    public String getCity() {
        return city;
    }

    public SysUserBankCard setCity(String city) {
        this.city = city;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public SysUserBankCard setAddress(String address) {
        this.address = address;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public SysUserBankCard setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateOn() {
        return createOn;
    }

    public SysUserBankCard setCreateOn(Date createOn) {
        this.createOn = createOn;
        return this;
    }

    public Date getModifyOn() {
        return modifyOn;
    }

    public SysUserBankCard setModifyOn(Date modifyOn) {
        this.modifyOn = modifyOn;
        return this;
    }

    public Integer getIsQuick() {
        return isQuick;
    }

    public SysUserBankCard setIsQuick(Integer isQuick) {
        this.isQuick = isQuick;
        return this;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public SysUserBankCard setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
        return this;
    }

    public String getTransNo() {
        return transNo;
    }

    public SysUserBankCard setTransNo(String transNo) {
        this.transNo = transNo;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "SysUserBankCard{" +
        ", id=" + id +
        ", userId=" + userId +
        ", isDefault=" + isDefault +
        ", bankName=" + bankName +
        ", bankCode=" + bankCode +
        ", cardNo=" + cardNo +
        ", province=" + province +
        ", city=" + city +
        ", address=" + address +
        ", status=" + status +
        ", createOn=" + createOn +
        ", modifyOn=" + modifyOn +
        ", isQuick=" + isQuick +
        ", mobilePhone=" + mobilePhone +
        ", transNo=" + transNo +
        "}";
    }
}
